CREATE TABLE hrt_profile_relations (
    PROFILE_RELATION_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    RELATION_ID              NUMBER(18, 0)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_EFF_START_DATE    DATE         ,
    OBJECT_EFF_END_DATE      DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PROFILE_RELATION_ID      NUMBER(18, 0),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    RELATION_ID              NUMBER(18, 0)    NOT NULL,
    OBJECT_ID                NUMBER(18, 0)    NOT NULL,
    OBJECT_EFF_START_DATE    DATE         ,
    OBJECT_EFF_END_DATE      DATE         ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_hrt_profile_relations PRIMARY KEY (PROFILE_RELATION_ID, PROFILE_RELATION_ID)
);
